# ESLint config

Tencent Video fe recommended ESLint rules for ECMAScript. Install this package and then extend the config in your `.eslintrc`:

## Usage

Install the required packages:

```bash
tnpm install eslint eslint-config-tencentvfe --save-dev

```

Then extend the config in your `.eslintrc`:

```json
{
  "extends": ["tencentvfe"]
}
```
or

**npm scripts**
```javascript
  "scripts": {
    "lint": "eslint src"
  },
```
or 

**package.json**
```javascript
"eslintConfig":{
  "parser": "babel-eslint",
  "extends": ["tencentvfe"]
  }
```


## Doc
[List of available rules - ESLint](http://eslint.org/docs/rules/)