module.exports = {
  extends: 'eslint:recommended',
  "parserOptions": {
        "ecmaVersion": 7,
        "sourceType": "module",
        "ecmaFeatures": {
            "jsx": true
        }
    },
  rules: {
    "semi":   "off",
    "quotes": ["warn", "single"],
    "key-spacing": [
      "error", {
        "beforeColon": false,
        "afterColon": true
      }
    ],
    "eol-last": "off",
    "strict": ["error", "never"],
    "linebreak-style":"off",
    "camelcase": ["error", {"properties": "never"}],
    "no-shadow": "off",
    "space-infix-ops": ["warn", {"int32Hint": false}],
    "no-undef":"off",
    "no-duplicate-imports":"warn",
    "no-console":"off",
    "no-debugger":"off",
    "max-depth": ["error", 4]
  }
};
